#import <Foundation/Foundation.h>

extern "C" {
    void ruby_sysinit(int *, char ***);
    void ruby_init(void);
    void ruby_init_loadpath(void);
    void ruby_script(const char *);
    void ruby_set_argv(int, char **);
    void rb_vm_init_compiler(void);
    void rb_vm_init_jit(void);
    void rb_vm_aot_feature_provide(const char *, void *);
    void *rb_vm_top_self(void);
    void rb_define_global_const(const char *, void *);
    void rb_rb2oc_exc_handler(void);
    void rb_exit(int);
void MREP_974572ADF3DF437FACDF73C8179C091C(void *, void *);
void MREP_7EE27FB7C2804AEC8C5033A25512CA32(void *, void *);
void MREP_92C3A13E730D4661AD9E3312EF732D10(void *, void *);
void MREP_6320CFB5C287401985C126BE65EE7BBD(void *, void *);
}

extern "C"
void
RubyMotionInit(int argc, char **argv)
{
    static bool initialized = false;
    if (!initialized) {
	ruby_init();
	ruby_init_loadpath();
        if (argc > 0) {
	    const char *progname = argv[0];
	    ruby_script(progname);
	}
#if !__LP64__
	try {
#endif
	    void *self = rb_vm_top_self();
rb_define_global_const("RUBYMOTION_ENV", @"development");
rb_define_global_const("RUBYMOTION_VERSION", @"2.38");
MREP_974572ADF3DF437FACDF73C8179C091C(self, 0);
MREP_7EE27FB7C2804AEC8C5033A25512CA32(self, 0);
MREP_92C3A13E730D4661AD9E3312EF732D10(self, 0);
MREP_6320CFB5C287401985C126BE65EE7BBD(self, 0);
#if !__LP64__
	}
	catch (...) {
	    rb_rb2oc_exc_handler();
	}
#endif
	initialized = true;
    }
}
